beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From al...@apache.org
Subject [1/2] beam git commit: [BEAM-3135] Adding futures dependency to python SDK
Date Thu, 02 Nov 2017 23:38:19 GMT
Repository: beam
Updated Branches:
  refs/heads/master 492547835 -> fbcb0ba68


[BEAM-3135] Adding futures dependency to python SDK


Project: http://git-wip-us.apache.org/repos/asf/beam/repo
Commit: http://git-wip-us.apache.org/repos/asf/beam/commit/f0b2b3c6
Tree: http://git-wip-us.apache.org/repos/asf/beam/tree/f0b2b3c6
Diff: http://git-wip-us.apache.org/repos/asf/beam/diff/f0b2b3c6

Branch: refs/heads/master
Commit: f0b2b3c6c45c03db9565e34683378b259281776f
Parents: 4925478
Author: Ankur Goenka <goenka@goenka.svl.corp.google.com>
Authored: Wed Nov 1 16:27:52 2017 -0700
Committer: Ahmet Altay <altay@google.com>
Committed: Thu Nov 2 16:37:51 2017 -0700

----------------------------------------------------------------------
 sdks/python/setup.py | 1 +
 1 file changed, 1 insertion(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/beam/blob/f0b2b3c6/sdks/python/setup.py
----------------------------------------------------------------------
diff --git a/sdks/python/setup.py b/sdks/python/setup.py
index 16672cf..5852d15 100644
--- a/sdks/python/setup.py
+++ b/sdks/python/setup.py
@@ -108,6 +108,7 @@ REQUIRED_PACKAGES = [
     # TODO(BEAM-2964): Remove the upper bound.
     'six>=1.9,<1.11',
     'typing>=3.6.0,<3.7.0',
+    'futures>=3.1.1,<4.0.0',
     ]
 
 REQUIRED_SETUP_PACKAGES = [


Mime
View raw message